import { E2EForwardingExecutor } from './forwarding.executor';
import { E2EForwardingNavigator } from './forwarding.navigator';

export class E2EForwardingHelper {
  private readonly executor: E2EForwardingExecutor = new E2EForwardingExecutor();
  private readonly navigator: E2EForwardingNavigator = new E2EForwardingNavigator();

  public openForwarding(vorgangName: string): void {
    this.navigator.openForwardDialog(vorgangName);
  }

  public forwardTo(organisationsEinheit: string): void {
    this.executor.fillForwardingDialog(organisationsEinheit);
  }
}
