import {
  ConfigurationResourceService,
  ConfigurationService,
  createConfigurationResourceService,
} from '@admin-client/configuration-shared';
import { ApiRootService } from '@alfa-client/api-root-shared';
import { ResourceRepository } from '@alfa-client/tech-shared';

export const ConfigurationsProviders = [
  ConfigurationService,
  {
    provide: ConfigurationResourceService,
    useFactory: createConfigurationResourceService,
    deps: [ResourceRepository, ApiRootService],
  },
];
