import { ComponentFixture, TestBed } from '@angular/core/testing';
import { FormGroup, ReactiveFormsModule } from '@angular/forms';
import { CheckboxEditorComponent } from '@ods/component';
import { MockComponent } from 'ng-mocks';
import { createUserFormGroup } from '../../../../test/form';
import { UserFormService } from '../user.formservice';
import { UserFormOrganisationsEinheitListComponent } from './user-form-organisations-einheit-list.component';

describe('UserFormOrganisationsEinheitComponent', () => {
  let component: UserFormOrganisationsEinheitListComponent;
  let fixture: ComponentFixture<UserFormOrganisationsEinheitListComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [UserFormOrganisationsEinheitListComponent, ReactiveFormsModule, MockComponent(CheckboxEditorComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(UserFormOrganisationsEinheitListComponent);
    component = fixture.componentInstance;
    component.formGroupParent = createUserFormGroup();
    component.formGroupOrganisationsEinheiten = component.formGroupParent.get(UserFormService.GROUPS) as FormGroup;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
