import { User } from '@admin-client/user-shared';
import { NgIf } from '@angular/common';
import { Component, Input } from '@angular/core';
import { MailboxIconComponent, PersonIconComponent } from '@ods/system';

@Component({
  selector: 'admin-user-data',
  standalone: true,
  imports: [MailboxIconComponent, NgIf, PersonIconComponent],
  templateUrl: './user-data.component.html',
})
export class UserDataComponent {
  @Input() user: User;
}
