import { OrganisationsEinheitListE2EComponent } from '../components/organisationseinheiten/organisationseinheiten.e2e.component';

export class OrganisationsEinheitPage {
  private readonly addButton: string = 'add-organisationseinheit-button';
  private readonly list: OrganisationsEinheitListE2EComponent = new OrganisationsEinheitListE2EComponent();

  public getAddButton(): Cypress.Chainable<Element> {
    return cy.getTestElement(this.addButton);
  }

  public getList(): OrganisationsEinheitListE2EComponent {
    return this.list;
  }
}
