import { AggregationMappingFormContainerComponent } from '@admin-client/aggregation-mapping';
import { expectComponentExistsInTemplate } from '@alfa-client/test-utils';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { MockComponent } from 'ng-mocks';
import { AggregationMappingFormPageComponent } from './aggregation-mapping-form-page.component';

describe('AggregationMappingFormPageComponent', () => {
  let component: AggregationMappingFormPageComponent;
  let fixture: ComponentFixture<AggregationMappingFormPageComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [AggregationMappingFormPageComponent, MockComponent(AggregationMappingFormContainerComponent)],
    }).compileComponents();

    fixture = TestBed.createComponent(AggregationMappingFormPageComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  describe('template', () => {
    describe('aggregation mapping form', () => {
      it('should exists', () => {
        expectComponentExistsInTemplate(fixture, AggregationMappingFormContainerComponent);
      });
    });
  });
});
