import { Component, inject } from '@angular/core';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TextareaEditorComponent } from '@ods/component';
import { PostfachFormService } from '../postfach.formservice';

@Component({
  selector: 'admin-postfach-signatur',
  templateUrl: './postfach-signatur.component.html',
  standalone: true,
  imports: [FormsModule, ReactiveFormsModule, TextareaEditorComponent],
})
export class PostfachSignaturComponent {
  public formService: PostfachFormService = inject(PostfachFormService);
  protected readonly formServiceClass = PostfachFormService;
}
