import { ComponentFixture, TestBed } from '@angular/core/testing';

import { ZustaendigeStelleModule } from '@alfa-client/zustaendige-stelle';
import { ForwardingItemComponent } from '@ods/system';
import { MockComponent, MockModule } from 'ng-mocks';
import { ForwardingSearchOrganisationsEinheitComponent } from './search-organisations-einheit.component';

describe('ForwardingSearchOrganisationsEinheitComponent', () => {
  let component: ForwardingSearchOrganisationsEinheitComponent;
  let fixture: ComponentFixture<ForwardingSearchOrganisationsEinheitComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [ForwardingSearchOrganisationsEinheitComponent],
      declarations: [MockComponent(ForwardingItemComponent), MockModule(ZustaendigeStelleModule)],
    }).compileComponents();

    fixture = TestBed.createComponent(ForwardingSearchOrganisationsEinheitComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });
});
